package com.om.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.dto.AdminAddDTO;
import com.om.entity.dto.AdminQueryPageDTO;
import com.om.entity.po.Admin;
import com.om.entity.vo.AdminLoginVO;
import com.om.entity.vo.AdminQueryPageVO;
import com.om.utils.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-01-26
 */
public interface IAdminService extends IService<Admin> {

    Result<AdminLoginVO> login(String username, String password);

    Result<AdminLoginVO> getManagerByToken(String token);

    Result add(AdminAddDTO dto);

    Result delete(Integer id);

    Result<AdminLoginVO> get(Integer id);

    Result<AdminLoginVO> updateAdmin(AdminAddDTO dto);

    Result updateState(Integer id);

    Result logout(Integer id);

    Result<AdminQueryPageVO> getPageList(AdminQueryPageDTO dto);
}
